/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aop.deployment;

import org.jboss.aop.ClassLoaderValidation;
import org.jboss.aop.ClassPoolFactory;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.2.5 $
 */
public class AspectManagerService32 extends AspectManagerService
{
   protected ClassPoolFactory createFactory() throws Exception
   {
      return new JBossClassPoolFactory32(tmpClassesDir);
   }

   protected ClassLoaderValidation createClassLoaderValidation()
   {
      return new JBossClassLoaderValidator32();
   }

   protected void baseAop()
   {
      // complete
   }

}   
